complexType "PrincipalExchangeAmount"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | amountRelativeTo? | determinationMethod? | principalAmount?
</...>

Content Model Elements (3):

  amountRelativeTo (in principalExchangeAmount in principalExchangeDescriptions),
  determinationMethod (in principalExchangeAmount in principalExchangeDescriptions),
  principalAmount (in principalExchangeAmount in principalExchangeDescriptions)

All Direct / Indirect Based Elements (1):

  principalExchangeAmount (in principalExchangeDescriptions)

Known Usage Locations

- As direct type of elements (1):
  principalExchangeAmount (in principalExchangeDescriptions)

Annotation
Specifies the principal exchange amount, either by explicitly defining it, or by point to an amount defined somewhere else in the swap document.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PrincipalExchangeAmount"> <xsd:choice> <xsd:element minOccurs="0" name="amountRelativeTo" type="AmountReference"/> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/> <xsd:element minOccurs="0" name="principalAmount" type="NonNegativeMoney"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
amountRelativeTo

  Type: | AmountReference, empty content

  Reference to an amount defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="amountRelativeTo" type="AmountReference"/>

determinationMethod

  Type: | DeterminationMethod, simple content

  Specifies the method according to which an amount or a date is determined.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/>

principalAmount

  Type: | NonNegativeMoney, complex content

  Principal exchange amount when explictly stated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principalAmount" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.